Skip to content

Get an overlay (v1)

GET/v1/overlays/{overlayId}

GET
/v1/overlays/{overlayId}
curl --request GET \
--url https://api.ligr.live/rest/v1/overlays/1 \
--header 'Authorization: Bearer <token>'

Return the overlay with the given ID. Accepts the include query parameter with code m, one level deep.

overlayId
required

Entity identifier

integer format: int32
>= 1

The overlays identifier

include

Comma seperated string of entity abbreviations Allows optional population of nested entities m = match e.g. ‘m’

string

Ok

Media typeapplication/json
Any of:
object
name
required
string
>= 1 characters <= 35 characters
id
required

Entity identifier

integer format: int32
>= 1
matchId

Entity identifier

integer format: int32
>= 1
encodingDelay

Seconds to delay graphic updates

integer format: int32
<= 120
key
required

Stringified UUIDv4. See RFC 4112

string
/[0-9A-Fa-f]{8}-[0-9A-Fa-f]{4}-4[0-9A-Fa-f]{3}-[89ABab][0-9A-Fa-f]{3}-[0-9A-Fa-f]{12}/
autoMode
boolean
adType
string
competitionThemeSettingId
integer format: int32
nullable >= 1
controlRoomId
integer format: int32
nullable >= 1
controlRoomUrl

Open this URL with an authenticated dashboard session after setup.

string
monitoringUrl

Read-only monitoring page of this overlay on the overlay host of this environment. Open it to see the graphics that are on air. It does not take control of the overlay.

string
Example
{
"matchId": 703,
"id": 2300003,
"name": "Overlay 1",
"encodingDelay": 6,
"key": "3b2bbcc8-0544-4edb-b847-8179ba026086"
}

Request is invalid

Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{
"message": "example",
"details": {
"additionalProperty": "example"
}
}

Missing or invalid api key

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key provides insufficient access for the request

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Overlay not found

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Api key has made too many requests

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

An unexpected error has occured. If problems persist please contact support

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}